Subject: Re: cygwin wrapper aclocal doesn't handle multiple -I options ?
From: Charles Wilson <[email-masked]>
To: [email-masked]
Date: Wed, 26 Jun 2002 11:35:13 -0400
Newsgroups: gmane.os.cygwin

Bernard A Badger wrote:

> You should allow file names with spaces in them.
> Use:
> 	opt_i="$opt_i -I '$1'"
> 
> BTW, a better name would be opt_I, not opt_i, since the option is -I, not -i.
> 
>

It's too late for this release of the wrappers, but patches gratefully 
accepted for the future.  However, your suggestion won't work:

"$opt_i -I '$1'"

using single quotes prevents $1 from being expanded at all.  What you'd 
need to do is something like:

"$opt_i -I \"$1\""

But I'm not sure if those doublequotes will be safe after multiple 
re-expansions as $opt_i is built and extended.  This needs some testing.

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/